---
name: Bug Issue
about: Use this template for reporting a bug
labels: 'type:bug'

---


If the bug is related to a specific library below, please raise an issue in the
respective repo directly:

[TensorFlow Data Validation Repo](https://github.com/tensorflow/data-validation/issues)

[TensorFlow Model Analysis Repo](https://github.com/tensorflow/model-analysis/issues)

[TensorFlow Transform Repo](https://github.com/tensorflow/transform/issues)

[TensorFlow Serving Repo](https://github.com/tensorflow/serving/issues)

**System information**

- Have I specified the code to reproduce the issue (Yes, No):
- Environment in which the code is executed (e.g., Local(Linux/MacOS/Windows),
  Interactive Notebook, Google Cloud, etc):
- TensorFlow version:
- TFX Version:
- Python version:
- Python dependencies (from `pip freeze` output):

**Describe the current behavior**

**Describe the expected behavior**

**Standalone code to reproduce the issue**

Providing a bare minimum test case or step(s) to reproduce the problem will
greatly help us to debug the issue. If possible, please share a link to
Colab/Jupyter/any notebook.

**Name of your Organization (Optional)**

**Other info / logs**

Include any logs or source code that would be helpful to diagnose the problem.
If including tracebacks, please include the full traceback. Large logs and files
should be attached.
